Skip to main content
POST
/
v1
/
admin
/
notifications
/
reminder-rules
Create reminder rule
curl --request POST \
  --url https://{operatorDomain}/v1/admin/notifications/reminder-rules \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "nrul_01h...",
  "name": "<string>",
  "trigger": "balance_due",
  "enabled": true,
  "stages": [
    {
      "id": "nstg_01h...",
      "ruleId": "<string>",
      "offsetDays": 123,
      "position": 123,
      "channels": [
        {}
      ]
    }
  ]
}
'
{
  "id": "nrul_01h...",
  "name": "<string>",
  "trigger": "balance_due",
  "enabled": true,
  "stages": [
    {
      "id": "nstg_01h...",
      "ruleId": "<string>",
      "offsetDays": 123,
      "position": 123,
      "channels": [
        {}
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Body

application/json
id
string
required
Example:

"nrul_01h..."

name
string
required
trigger
string
Example:

"balance_due"

enabled
boolean
stages
object[]

Response

201 - application/json

Created rule

id
string
required
Example:

"nrul_01h..."

name
string
required
trigger
string
Example:

"balance_due"

enabled
boolean
stages
object[]